predictionio-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From don...@apache.org
Subject [06/10] incubator-predictionio git commit: Fix run_docker.sh for using Elasticsearch1.x as METADATA_SOURCE
Date Sat, 11 Feb 2017 22:00:13 GMT
Fix run_docker.sh for using Elasticsearch1.x as METADATA_SOURCE


Project: http://git-wip-us.apache.org/repos/asf/incubator-predictionio/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-predictionio/commit/89c9d266
Tree: http://git-wip-us.apache.org/repos/asf/incubator-predictionio/tree/89c9d266
Diff: http://git-wip-us.apache.org/repos/asf/incubator-predictionio/diff/89c9d266

Branch: refs/heads/feature/es5
Commit: 89c9d2663c82fb3071fa6d2cd02c30c9e646ecbe
Parents: bad2f03
Author: takahiro-hagino <takahiro.hagino@bizreach.co.jp>
Authored: Wed Jan 18 17:22:59 2017 +0900
Committer: takahiro-hagino <takahiro.hagino@bizreach.co.jp>
Committed: Wed Jan 18 17:24:40 2017 +0900

----------------------------------------------------------------------
 tests/run_docker.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-predictionio/blob/89c9d266/tests/run_docker.sh
----------------------------------------------------------------------
diff --git a/tests/run_docker.sh b/tests/run_docker.sh
index a8a79f3..9f87ae9 100755
--- a/tests/run_docker.sh
+++ b/tests/run_docker.sh
@@ -18,18 +18,18 @@
 
 USAGE=$"Usage: run_docer <meta> <event> <model> <pio> <command>
   Where:
-    meta         = [PGSQL,ELASTICSEARCH]
+    meta         = [PGSQL,ELASTICSEARCH,ELASTICSEARCH1]
     event        = [PGSQL,HBASE]
     model        = [PGSQL,LOCALFS,HDFS]
     pio          = path to PredictionIO directory
     command      = command to run in the container"
 
-if ! [[ "$1" =~ ^(PGSQL|ELASTICSEARCH)$ ]]; then
+if ! [[ "$1" =~ ^(PGSQL|ELASTICSEARCH|ELASTICSEARCH1)$ ]]; then
   echo "$USAGE"
   exit 1
 fi
 
-if ! [[ "$2" =~ ^(PGSQL|HBASE)$ ]]; then
+if ! [[ "$2" =~ ^(PGSQL|HBASE|ELASTICSEARCH)$ ]]; then
   echo "$USAGE"
   exit 1
 fi


Mime
View raw message